DVDISASTER(1)

NAME
DVDISASTER - Schutz für optische Datenträger gegen Datenverlust durch Alterung oder Kratzer

SYNTAX
dvdisaster [-r|-c|-f|-s|-t[q]|-u] [-d device] [-p prefix] [-i image] [-e eccfile] [-o file|image] [-a method-list] [-j n] [-n n%] [-m n] [-v] [-x n] [--adaptive-read] [--auto-suffix] [--cache-size n] [--dao] [--defective-dump d] [--driver d] [--eject] [--encoding-algorithm n] [--encoding-io-strategy n] [--fill-unreadable n] [--ignore-fatal-sense] [--ignore-iso-size] [--internal-rereads n] [--medium-info] [--no-progress] [--old-ds-marker] [--prefetch-sectors n] [--raw-mode n] [--read-attempts n-m] [--read-medium n] [--read-raw] [--regtest] [--resource-file n] [--speed-warning n] [--spinup-delay n] [--version]

BESCHREIBUNG
DVDISASTER erzeugt einen Sicherheitspuffer gegen Datenverluste, die auf optischen Datenträgern durch Alterung oder Kratzer entstehen. Es erzeugt Fehlerkorrekturdaten, um bei nachfolgenden Datenträger-Problemen unlesbare Sektoren zu rekonstruieren.

TYPISCHE ANWENDUNGEN

dvdisaster -d /dev/hdc -s
    Überprüft den Datenträger in Laufwerk /dev/hdc auf Fehler.

dvdisaster -d /dev/hdc -i abbild.iso -r
    Erstellt ein Abbild vom Datenträger in Laufwerk /dev/hdc als Datei abbild.iso.

dvdisaster -d /dev/hdc -i medium.iso --read-raw -r
    Erstellt ein Abbild wie oben beschrieben. Die Sektoren werden anhand ihrer EDC- und L-EC-Rohdaten auf Unversehrtheit überprüft. Dies ist nur für CD-Datenträger möglich; anderenfalls hat die --read-raw-Option keine Wirkung.

dvdisaster -d /dev/hdc -i medium.iso --read-attempts n-m -r
    Erstellt ein Abbild wie oben beschrieben. Für beschädigte Sektoren werden mindestens n und höchstens m Leseversuche unternommen. Die Lesbarkeit von beschädigten CD-Datenträgern kann in Verbindung mit --read-raw besser werden.

dvdisaster -d /dev/hdc -i abbild.iso -e korr.ecc -r --adaptive-read
    Verwendet die angepasste Lesestrategie, um ein Abbild vom Datenträger in Laufwerk /dev/hdc als Datei abbild.iso zu erstellen. Der Lesevorgang wird automatisch beendet sobald genügend Daten eingelesen wurden, um das Abbild mit Hilfe der Fehlerkorrektur-Datei korr.ecc wiederherzustellen:

dvdisaster -i abbild.iso -e korr.ecc -c
    Erzeugt eine Fehlerkorrektur-Datei korr.ecc für das Abbild abbild.iso.

dvdisaster -i abbild.iso -mRS02 -n 350000 -c
    Erweitert ein Abbild abbild.iso mit Fehlerkorrektur-Daten, wobei das Abbild auf nicht mehr als 350000 Sektoren vergrössert wird. Ohne Angabe von -n wird das Abbild auf die Grösse des kleinstmöglichen Datenträgers (CD, DVD, DVD9) erweitert. Beachten Sie das fehlende Leerzeichen zwischen -m und RS02.

dvdisaster -i abbild.iso -e korr.ecc -f
    Wiederherstellung der Abbild-Datei abbild.iso mit Hilfe der Fehlerkorrektur-Datei korr.ecc.

dvdisaster -i abbild.iso -e korr.ecc -t
    Überprüft den Inhalt des Abbilds abbild.iso mit Hilfe der Fehlerkorrektur-Datei korr.ecc auf Vollständigkeit und Korrektheit.

HINWEIS:
    Geben Sie in den obigen Beispielen die -e korr.ecc-Optionen nicht an, wenn Sie mit erweiterten Abbildern arbeiten.

OPTIONEN
Aktions-Auswahl (mindestens eine Aktion muss gewählt werden):

-r, --read
    Datenträger-Abbild auf Festplatte einlesen. -rn-m liest einen Bereich von Sektoren, z.B. -r100-200.

-c, --create
    Erzeugt Fehlerkorrektur-Daten für das Abbild.

-f, --fix
    Versucht das Abbild mit Hilfe der Fehlerkorrektur-Daten zu reparieren.

-s, --scan
    Untersucht den Datenträger auf Lesefehler.

-t, --test, -tq, -test=q
    Prüft die Struktur der .iso und .ecc - Dateien. Bei Angabe der "q"-Option werden nur die Informationen ausgegeben, die ohne vollständiges Lesen der Dateien ermittelt werden können.

-u, --unlink
    Löscht .iso - Dateien nach Beenden der vorherigen Aktionen.

Laufwerks- und Dateinamen:

-d, --device device
    Von diesem Laufwerk lesen (Standard: /dev/cdrom).

-p, --prefix prefix
    Anfang der .iso/.ecc - Dateien (Standard: medium.* ).

-i, --image imagefile
    Name der Abbild - Datei (Standard: medium.iso).

-e, --ecc eccfile
    Name der Fehlerkorrektur-Datei (Standard: medium.ecc).

-o, --ecc-target file|image
    Gibt an ob mit RS03 Fehlerkorrektur-Dateien oder erweiterte Abbilder erzeugt werden sollen (Standard: erweiterte Abbilder).

Feineinstellung (Beachten Sie die Hinweise in der Dokumentation!):

-a, --assume method1,method2,...
    Nimmt an daß das Abbild mit einer der angegebenen Methoden erweitert wurde. Dies bewirkt eine erschöpfende Suche nach den Datenstrukturen der Methode und ist hilfreich, um in beschädigten Datenträgern enthaltene Fehlerkorrektur-Daten wiederzufinden. Wenn das Abbild allerdings keine der angegebenen Fehlerkorrektur-Daten enthält, verschwendet diese Option eine große Menge Rechenzeit und Ein-/Ausgabeoperationen.
    Mögliche Werte sind RS02 und RS03.

-j, --jump n
    überspringe n Sektoren nach einem Lesefehler (Standard: 16).

-n, --redundancy n[unit]
    Redundanz der Fehlerkorrektur-Daten. Die zulässigen Werte sind vom verwendeten Kodierer abhängig:

    RS01- und RS03-Fehlerkorrektur-Dateien:
        -n x erzeugt Fehlerkorrektur-Datei mit x Nullstellen.
        -n x% erzeugt Fehlerkorrektur-Datei mit x Prozent Redundanz.
        -n xm erzeugt Fehlerkorrektur-Datei mit ca. x MiB Grüße.

    RS01-Fehlerkorrektur-Dateien unterstützen außerdem:
        -n normal - optimierter Kodierer für 14.3% Redundanz/32 Nullstellen.
        -n high - optimierter Kodierer für 33.5% Redundanz/64 Nullstellen.

    RS02-Abbilder:
        -n CD erweitert Abbild auf CD-Größe.
        -n DVD erweitert Abbild auf DVD-Größe.
        -n DVD9 erweitert Abbild auf DVD9-Größe.
        -n BD erweitert Abbild auf BD-Größe.
        -n BD2 erweitert Abbild auf zweilagige BD-Größe.
        -n BDXL3 erweitert Abbild auf dreilagige BDXL-Größe.
        -n x erweitert Abbild auf ca. x Sektoren Länge.
        -n x% erweitert Abbild mit ca. x% Redundanz.
        -n xr erweitert Abbild mit x Nullstellen Fehlerkorrektur-Daten.

    RS03-Abbilder:
        Einstellungen sind formatbedingt nicht möglich. Es wird automatisch die nächste passende Datenträgergröße ausgewählt.

-m, --method n
    Fehlerkorrektur-Methoden anzeigen/auswählen (Standard: RS01).
    Mögliche Werte sind RS01 und RS02.

-v, --verbose n%
    mehr erläuternde Ausgaben

-x, --threads n
    Verwende n Kontrollfäden für den RS03-Kodierer/Dekodierer. Empfohlen sind 2 bzw. 4 Kontrollfäden für 2- bzw. 4-Kern-Prozessoren. Lassen Sie auf größeren Systemen einen Kontrollfaden für Verwaltungszwecke frei, d.h. benutzen Sie 7 Kontrollfäden auf einem 8-Kern-System.

--adaptive-read
    verwende optimierte Lesestrategie für defekte Datenträger.

--auto-suffix
    automatisches Anfügen der .iso- und .ecc-Dateiendungen.

--cache-size n
    Zwischenspeicher in MiB bei .ecc-Datei-Erzeugung - (Standard: 32MiB).

--dao
    unterstelle DAO; Abbild am Ende nicht kürzen.

--defective-dump d
    Gibt das Unterverzeichnis zum Sammeln von unvollständigen Roh-Sektoren an.

--driver d (nur für Linux)
    Wählt zwischen dem sg (SG_IO)-Treiber (voreingestellt) und dem älteren cdrom (CDROM_SEND_PACKET)-Treiber zum Zugriff auf die Laufwerke aus. Beide Treiber sollten gleich gut funktionieren; der cdrom-Treiber hat allerdings mit alten SCSI-Kontrollern Probleme. Bis einschließlich dvdisaster 0.72.x war der cdrom-Treiber allerdings die Voreinstellung; wenn sich jetzt etwas zum Schlechteren verändert hat wählen Sie bitte wieder mit --driver=cdrom den älteren Treiber aus.

--eject
    Datenträger nach erfolgreichem Lesen auswerfen.

--encoding-algorithm [32bit|64bit|SSE2|AltiVec]
    Diese Einstellung beeinflußt die Geschwindigkeit beim Erstellen von RS03-Fehlerkorrektur-Daten. dvdisaster kann entweder ein allgemeines Kodierungsverfahren mit 32bit- oder 64bit breiten Rechenschritten verwenden, die auf der Ganzzahl-Einheit des Prozessors ausgeführt werden, oder es kann Prozessor-spezifische Erweiterungen nutzen.
    Wählbare Erweiterungen sind SSE2 auf x86-basierten Prozessoren sowie AltiVec auf PowerPC-basierten Prozessoren. Diese Erweiterungen rechnen mit 128bit breiten Operationen und liefern typischerweise die höchste Geschwindigkeit. Daher werden der SSE2- oder der AltiVec-Kodierer automatisch ausgewählt sofern der Prozessor dies unterstützt und nichts anderes mit dieser Option angegeben wird.

--encoding-io-strategy [readwrite|mmap]
    Diese Einstellung beeinflußt das Lesen und Schreiben von Daten während der Erstellung von RS03-Fehlerkorrektur-Daten. Probieren Sie beide Einstellungen um zu sehen welche am besten mit Ihrer Hardware harmoniert.
    Die "readwrite"-Einstellung aktiviert das eingebaute I/O-Steuerprogramm von dvdisaster, das mit Hilfe normaler Ein- und Ausgabeoperationen auf Dateiebene arbeitet. Dies hat den Vorteil daß dvdisaster genau steuern kann welche Daten zwischengespeichert und im Hintergrund geladen werden müssen; der Nachteil ist allerdings daß alle Daten einmal zwischen dem Betriebssystemkern und den Pufferspeichern von dvdisaster kopiert werden müssen. Typischerweise funktioniert diese Einstellung am besten mit langsamen Massenspeichern, die hohe Such- und Reaktionszeiten aufweisen, also z.B. mit allen Speichersystemen, die drehende Magnetscheiben enthalten. Die "mmap"-Einstellung verwendet die Möglichkeit des Betriebssystemkerns, Dateien direkt in Speicherbereiche einzublenden. Dies hat den Vorteil, daß kaum Daten kopiert werden müssen, aber ein Nachteil kann dadurch entstehen, daß der Betriebssystemkern eine ungeschickte Strategie zum Zwischenspeichern von Daten trifft, da er keine Informationen darüber hat, was dvdisaster mit den Daten als nächstes tun wird. Diese Einstellung funktioniert am besten beim direkten Arbeiten mit Dateien im Arbeitsspeicher (z.B. unter /dev/shm in Linux) sowie mit schnellen Speichermedien mit geringen Suchzeiten wie SSDs.

--fill-unreadable n
    fülle unlesbare Sektoren mit Byte n. Hilfreich um Abbilder zu verarbeiten, die von anderen Werkzeugen angelegt wurden. Beispielsweise füllt ddrescue unlesbare Sektoren mit Null auf; dementsprechend wäre --fill-unreadable=0 zu verwenden. Bitte dabei beachten: Sparse files können nicht mit dvdisaster verarbeitet werden.

--ignore-fatal-sense
    Lesen nach möglicherweise schwerwiegenden Fehlern fortsetzen.

--ignore-iso-size
    dvdisaster nutzt bevorzugt die Größeninformationen aus dem ISO/UDF-Dateisystem gegenüber einer Abfrage der Datenträgergröße von dem Laufwerk, da viele Laufwerke unzuverlässige Informationen liefern.
    In einigen seltenen Fällen stimmt die Information in den ISO/UDF-Dateisystemen allerdings nicht. Einige Linux-Live-CDs haben dieses Problem. Wenn Sie ein Abbild von diesen CDs lesen und seine MD5-Prüfsumme nicht mit der veröffentlichten Prüfsumme übereinstimmt, versuchen Sie das Abbild noch einmal zu lesen nachdem Sie diese Einstellung aktiviert haben.
    Schalten Sie diese Funktion nicht grundlos ein da sehr wahrscheinlich nicht optimale oder beschädigte ISO-Abbilder das Ergebnis sein werden, insbesondere wenn Sie vorhaben Fehlerkorrektur-Daten zu dem Abbild zu erzeugen.

--internal-rereads n
    Leseversuche innerhalb des Laufwerks für beschädigte CD-Sektoren (Standard: -1)
    Laufwerke unternehmen normalerweise mehrere Versuche um einen beschädigten Sektor zu lesen. Es ist typischerweise günstiger diesen Wert auf 0 oder 1 zu setzen und die Anzahl der Leseversuche über den Parameter --read-attempts zu steuern. Viele Laufwerke ignorieren diese Einstellung ohnehin. Benutzen Sie den Wert -1 um die Standardeinstellungen des Laufwerks zu verwenden.

--medium-info
    Gibt Informationen über den Datenträger im ausgewählten Laufwerk aus.

--no-progress
    Unterdrückt die Fortschrittsanzeige in Prozent.

--old-ds-marker
    Markiert fehlende Sektoren in einer Weise, die mit dvdisaster 0.70 oder noch früheren Versionen kompatibel ist.
    Das voreingestellte Markierungsverfahren ist ab dvdisaster 0.72 die bessere Wahl. Allerdings können Sie mit diesem Verfahren markierte Abbilder nicht mit früheren dvdisaster-Versionen verwenden, da diese keine fehlenden Sektoren in den Abbildern erkennen würden.

    Bearbeiten Sie ein Abbild nicht mit wechselnden Einstellungen für diese Option.

--prefetch-sectors n
    n Sektoren für die RS03-(De)kodierung im Voraus laden (Standard: 32)
    Ein Wert von n verbraucht ungefähr n MiB Arbeitsspeicher.

--raw-mode n
    "Raw"-Lese-Verfahren für beschädigte CD-Sektoren (default: 20)
    Das empfohlene Verfahren ist 20, bei dem das Laufwerk die eingebaute Fehlerkorrektur so weit wie möglich anwendet, bevor es einen beschädigten Sektor zurückgibt. Einige Laufwerke können beschädigte Sektoren allerdings nur in der Betriebsart 21 lesen. Dabei wird die letzte Stufe der eingebauten Fehlerkorrektur nicht ausgeführt und der Sektor wird unkorrigiert zurückgegeben.

--read-attempts n-m
    versucht einen beschädigten Sektor n bis m-mal zu lesen.

--read-medium n
    liest den gesamten Datenträger bis zu n-mal.

--read-raw
    liest in der "raw"-Betriebsart sofern möglich.

--regtest
    verändert einige Ausgaben so daß sie von den Regressionstest-Skripten besser verarbeitet werden können.

--resource-file n
    Gibt den Pfad zur Konfigurationsdatei an (Voreinstellung: $HOME/.dvdisaster)

--speed-warning n
    warnt bei Geschwindigkeitsänderung um mehr als n Prozent.

--spinup-delay n
    gibt dem Laufwerk n Sekunden Zeit zum Hochlaufen.

--version
    gibt die Versionsnummer und einige Konfigurationseigenschaften aus

SIEHE AUCH
Dokumentation DVDISASTER ist in seinem eigenen Handbuch dokumentiert, welches in /usr/share/doc/dvdisaster/manual.pdf installiert ist.

AUTHOR
DVDISASTER wurde von Carsten Gnörlich <carsten@dvdisaster.com> geschrieben. Seit Version 0.79.7 wird es vom dvdisaster-Entwickler-Team betreut <support@dvdisaster.org>.

Diese Hilfeseite wurde von Daniel Baumann <daniel.baumann@panthera-systems.net> für das Debian-Projekt geschrieben (kann aber auch von Anderen verwendet werden). Sie wurde seit Version 0.70 von Carsten Gnörlich gepflegt und wird zur Zeit vom dvdisaster-Entwickler-Team betreut.